.activities-section {
  background-color: #f5f7fa;
  padding: 80px 40px;
  font-family: 'Poppins', sans-serif;
}

.activity-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
}

.activity-card {
  position: relative;
  overflow: hidden;
  background: white;
  border-radius: 24px;
  box-shadow: 0 8px 30px rgba(0, 0, 0, 0.08);
  overflow: hidden;
  transition: transform 0.3s ease;
  border-top: 8px solid var(--accent-color);
  display: flex;
  flex-direction: column;
}
.genibot{
  object-position: top;

}
.activity-card img {
  width: 100%;
  height: 220px;
  object-fit: cover;
}

.activity-content {
  padding: 24px;
}

.activity-content h3 {
  font-size: 22px;
  margin-bottom: 0;
  color: var(--accent-color);
}
.card-info {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 30%;
  background-color: var(--accent-color);
  color: white;
  padding: 20px;
  font-size: 15px;
  line-height: 1.5;
  transition: transform 0.4s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 0; 
  pointer-events: none;
}

/* Po prawej stronie rozwijanie w lewo */
.activity-card.right .card-info {
  right: 0;
  transform: translateX(100%);
}

.activity-card.right:hover .card-info {
  transform: translateX(0);
  pointer-events: auto;
}
@media screen and (max-width: 700px) {
  .activity-grid{
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }
}
@media screen and (max-width: 500px) {
  .activity-content > h3{
    font-size: 15px;
  }
  .card-info{
    font-size: 11px;
  }
}